Files
Edit a file
PUT
/
file
/
{id}
Edit a file
curl --request PUT \
--url https://api.helpyousponsor.com/v1/file/{id} \
--header 'Content-Type: application/json' \
--header 'X-HYS-API-Key: <api-key>' \
--data '
{
"id": 1,
"file_name": "<string>",
"type": "image",
"permissions": "donor"
}
'import requests
url = "https://api.helpyousponsor.com/v1/file/{id}"
payload = {
"id": 1,
"file_name": "<string>",
"type": "image",
"permissions": "donor"
}
headers = {
"X-HYS-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-HYS-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: 1, file_name: '<string>', type: 'image', permissions: 'donor'})
};
fetch('https://api.helpyousponsor.com/v1/file/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Successfully Edited File"
}{
"message": "Error: Bad Request."
}Authorizations
API key generated from Developer Settings. Format: hys_...
Path Parameters
ID of the file to be edited
Body
application/json
File data that needs to be updated
Response
Successfully Edited File
Example:
"Successfully Edited File"
⌘I
Edit a file

